| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::command_interaction Struct Reference

Details of a command within an interaction. This subobject represents the application command associated with the interaction. More...

`#include <appcommand.h>`

Inheritance diagram for dpp::command_interaction:
[legend]
Collaboration diagram for dpp::command_interaction:
[legend]

## Public Member Functions

std::string | get_mention () const
| Return a ping/mention for the slash command.
template<typename T>
T & | get_value (size_t index)
| Get an option value by index.

## Public Attributes

snowflake | id
| The ID of the invoked command.
std::string | name
| The name of the invoked command.
std::vector< command_data_option > | options
| Optional: the params + values from the user.
dpp::snowflake | target_id
| Non-zero target ID for context menu actions (e.g. user id or message id whom clicked or tapped with the context menu).
slashcommand_contextmenu_type | type
| The type of command interaction.

## Detailed Description

Details of a command within an interaction. This subobject represents the application command associated with the interaction.

## Member Function Documentation

## ◆ get_mention()

std::string dpp::command_interaction::get_mention | ( |  | ) | const

Return a ping/mention for the slash command.

Returns
  std::string mention. e.g. </airhorn:816437322781949972>

Note
  If you want a mention for a subcommand or subcommand group, you can use dpp::utility::slashcommand_mention

## ◆ get_value()

template<typename T>

T & dpp::command_interaction::get_value | ( | size_t | index | ) |

inline

Get an option value by index.

Template Parameters

  T | Type to get from the parameter

Parameters

  index | index of the option

Returns
  T returned type

## Member Data Documentation

## ◆ id

snowflake dpp::command_interaction::id

The ID of the invoked command.

## ◆ name

std::string dpp::command_interaction::name

The name of the invoked command.

## ◆ options

std::vector<command_data_option> dpp::command_interaction::options

Optional: the params + values from the user.

## ◆ target_id

dpp::snowflake dpp::command_interaction::target_id

Non-zero target ID for context menu actions (e.g. user id or message id whom clicked or tapped with the context menu).

See also
  https://discord.com/developers/docs/interactions/application-commands#user-commands

## ◆ type

slashcommand_contextmenu_type dpp::command_interaction::type

The type of command interaction.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0